//
//  NSTextAttachmentAdditions.h
//  MailDelivery
//
//  Created by Dante Palacios on 08/09/09.
//  Copyright 2009 Dante Palacios. All rights reserved.
//

/*!
 @header NSTextAttachmentAdditions.h
 @discussion This header contains some utility methods for the framework. Some of these methods may disappear or change their names without prior notice. For more information, contact palacios.dante\@gmail.com.
 */

#import <Foundation/Foundation.h>
#import <AppKit/NSTextAttachment.h>

/*!
 @category NSTextAttachment(MailDeliveryAdditions)
 @abstract ...
 */

@interface NSTextAttachment(MailDeliveryAdditions)

/*!
 @property filename
 @abstract Used to access to the name of the file that represents, just in case the <tt>fileWrapper</tt> does not have a valid name for us.
 @discussion Used to make sure that if an <tt>NSAttributedString<tt> contains attachments, we always get the attachment file name, event if the <tt>serializedRepresentation<tt> of the <tt>fileWrapper</tt> does not have a valid name for us.
 */

@property (readonly) NSString *filename;

@end
